.not-bold,
label.not-bold {
	font-weight: normal !important;
}

.text-bold {
	font-weight: bold !important;
}

.text-transform-lowercase {
	text-transform: lowercase;
}

.preloader {
	position: fixed;
	left: 0px;
	top: 0px;
	width: 100%;
	opacity: 0.5;
	height: 100%;
	z-index: 9999;
	background: url(../img/spin-loader.gif) center no-repeat #fff;
}

.fa-small {
	font-size: 9px;
}

td.row-title {
	font-weight: bold;
	width: 10%;
	white-space: nowrap;
}

.lkm-title {
	font-weight: bold;
	font-size: 1rem;
	font-family: inherit;
}

.lkm-addr {
	font-size: x-small;
}

.cursor-pointer {
	cursor: pointer;
}

.cursor-default {
	cursor: default;
}

.hidden-row {
	padding: 0 !important;
}

.centered {
	position: fixed;
	top: 50%;
	left: 50%;
	margin-top: -50px;
	margin-left: -100px;
}

.pdfobject-container {
	height: 50rem;
	/* border: 1rem solid rgba(0,0,0,.1);  */
	margin: 0;
}

.toast-center-left {
	left: 10px;
	top: 50%;
	right: 10px;
	transform: translate(0px, -50%);
}

.toast-center-center {
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}

.toast-center-right {
	right: 10px;
	top: 50%;
	transform: translate(0px, -50%);
}

/* icon chooser */
.icon-item:hover {
	cursor: pointer;
	border: 0.5px solid blue;
}

.icon-item-selected {
	border: 0.5px solid blue;
}

.icon-cooser-tab-content {
	min-height: 200px;
	max-height: 500px;
	overflow-y: scroll;
}

/* delete icon */
.icon-operation {
	cursor: pointer;
	color: gray;
}

.icon-operation-add {
	color: darkgreen;
}

.icon-operation-add:hover {
	color: green;
}

.icon-operation-edit {
	color: darkorange;
}

.icon-operation-edit:hover {
	color: orange;
}

.icon-operation-delete {
	color: darkred;
}

.icon-operation-delete:hover {
	color: red;
}

.icon-operation-primary {
	color: #5773fb;
}

.icon-operation-primary:hover {
	color: #0169da;
}

.icon-operation-disabled {
	color: gray;
}

.icon-add-style {
	color: gray;
}

.icon-add-style:hover {
	color: green;
	cursor: pointer;
}

.table-hover>tbody>tr.no-hover:hover,
.table-hover>tbody>tr.no-hover:hover>td,
.table-hover>tbody>tr.no-hover:hover>th {
	background-color: inherit;
}

legend {
	width: inherit;
	/* Or auto */
	padding: 0 10px;
	/* To give a bit of padding on the left and right */
	border-bottom: none;
	font-size: 18px;
}

.popover {
	max-width: 400px !important;
}

.table-responsive::-webkit-scrollbar,
.multiselect-container::-webkit-scrollbar {
	height: 10px;
	width: 10px;
	border-radius: 4px;
}

.table-responsive::-webkit-scrollbar-track,
.multiselect-container::-webkit-scrollbar-track {
	background: #f7f7f7;
	border-radius: 4px;
}

.table-responsive::-webkit-scrollbar-thumb,
.multiselect-container::-webkit-scrollbar-thumb {
	border-radius: 4px;
	background: #e9ecef;
}

.table-responsive::-webkit-scrollbar-thumb:hover,
.multiselect-container::-webkit-scrollbar-thumb:hover {
	border-radius: 4px;
	background: rgb(186, 185, 185);
}

table.table-fit {
	width: auto !important;
	table-layout: auto !important;
}

table.table-fit thead th,
table.table-fit tfoot th {
	width: auto !important;
}

table.table-fit tbody td,
table.table-fit tfoot td {
	width: auto !important;
}

.table tbody td.fit-content,
.table thead th.fit-content {
	white-space: nowrap;
	width: 1%;
}

table>tbody>tr.row-selected>td {
	background-color: #5ca4f7;
	color: white;
	border-top: 1px solid #dee2e6;
	border-bottom: 1px solid #dee2e6;
}

table>tbody>tr.row-selected:hover>td {
	background-color: #84b9f5;
}

.modal-backdrop {
	position: fixed;
	top: 0;
	left: 0;
	z-index: 1040;
	width: 100vw;
	height: 100vh;
	background-color: #000;
	/* #0a79fb; */
}

.modal-backdrop.fade {
	opacity: 0;
}

.modal-backdrop.show {
	opacity: 0.8;
}

.dropdown-toggle.no-caret:after {
	content: none;
}

/* Select2 readonly*/
.disabled-select {
	background-color: #d5d5d5;
	opacity: 0.5;
	border-radius: 3px;
	cursor: not-allowed;
	position: absolute;
	top: 0;
	bottom: 0;
	right: 0;
	left: 0;
}

select[readonly].select2-hidden-accessible+.select2-container {
	pointer-events: none;
	touch-action: none;
}

select[readonly].select2-hidden-accessible+.select2-container .select2-selection {
	background: #eee;
	box-shadow: none;
}

select[readonly].select2-hidden-accessible+.select2-container .select2-selection__arrow,
select[readonly].select2-hidden-accessible+.select2-container .select2-selection__clear {
	display: none;
}

a.dropdown-item-primary:hover {
	color: #ffffff;
	background-color: #0069d9;
	border-color: #0062cc;
}



.line-group {
	display: table;
	width: 100%;
	font-size: 1em;
}

.line-group-item {
	display: table-cell;
}

.line-group-text {
	white-space: nowrap;
	width: 1%;
	padding: 0 10px;
	color: #808080;
}

.line-group-line {
	border-color: transparent;
	border-bottom: 1.5px solid #b7b7b7;
	position: relative;
	top: -.5em;
}

.border-top-dark {
	border-top: 1px solid #343A40 !important;
}
.border-right-dark {
	border-right: 1px solid #343A40 !important;
}
.border-bottom-dark {
	border-bottom: 1px solid #343A40 !important;
}
.border-left-dark {
	border-left: 1px solid #343A40 !important;
}